View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwritehttps://uri.paypal.com/services/invoicing/internalapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/invoicing/recurring-invoices/RI-9Y6699772R098892C" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ"{ "id": "RI-9Y6699772R098892C", "status": "DRAFT", "plan_detail": { "total_cycles": 1, "frequency": { "interval_unit": "MONTH", "interval_count": 1 }, "start_series_date": "2026-01-20", "completed_cycles": 0 }, "recurring_info": { "detail": { "reference": "0001", "currency_code": "USD", "note": "Thank you", "terms_and_conditions": "Your terms and conditions", "memo": "Gift pack", "category_code": "SHIPPABLE", "payment_term": { "term_type": "DUE_ON_RECEIPT" } }, "primary_recipients": [ { "billing_info": { "email_address": "test@gmail.com" } } ], "items": [ { "id": "ITEM-69D690885J782781N", "name": "pen", "quantity": "1", "unit_amount": { "currency_code": "USD", "value": "12.00" }, "unit_of_measure": "QUANTITY" } ], "configuration": { "tax_calculated_after_discount": true, "tax_inclusive": false, "allow_tip": true, "partial_payment": { "allow_partial_payment": true, "minimum_amount_due": { "currency_code": "USD", "value": "2.00" } }, "template_id": "TEMP-1B23377148371954V" }, "amount": { "breakdown": { "item_total": { "currency_code": "USD", "value": "12.00" }, "discount": { "invoice_discount": { "amount": { "currency_code": "USD", "value": "0.00" } }, "item_discount": { "currency_code": "USD", "value": "0.00" } }, "tax_total": { "currency_code": "USD", "value": "0.00" } }, "currency_code": "USD", "value": "12.00" } }, "metadata": { "create_time": "2026-01-20T09:55:09Z", "last_update_time": "2026-01-20T09:55:09Z" }, "links": [ { "href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-9Y6699772R098892C", "rel": "self", "method": "GET" }, { "href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-9Y6699772R098892C", "rel": "delete", "method": "DELETE" }, { "href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-9Y6699772R098892C", "rel": "replace", "method": "PUT" }, { "href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-9Y6699772R098892C/cancel", "rel": "cancel", "method": "POST" }, { "href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-9Y6699772R098892C/activate", "rel": "activate", "method": "POST" } ]}